> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.wynncraft.com/modules/item-recipe/list-item-sets/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wynncraft.com/_mcp/server. # List item sets GET https://api.wynncraft.com/v3/item/sets This endpoint is cached for 2 minutes in the SHARED cache source. See [Caching](/welcome#caching). This endpoint belongs to the ITEMS rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). Reference: https://docs.wynncraft.com/modules/item-recipe/list-item-sets ## Response ### 200 Item set map keyed by set name. - `map from string to ItemSet` ## Types ### ItemSet - `internalName` (string, required) - `bonuses` (map from string to ItemSetBonus, required) - `parts` (list of string, required) ### ItemSetBonus - `major` (list of string, required) - `minor` (map from string to ItemSetBonusMinor, required) ### ItemSetBonusMinor ## Examples **Response** ```json { "Morph": { "internalName": "morph", "bonuses": { "2": { "major": [], "minor": { "lootBonus": 5, "combatExperience": 5 } }, "3": { "major": [], "minor": { "lootBonus": 10, "manaRegen": 6, "rawHealth": 125, "raw2ndSpellCost": -5, "combatExperience": 10 } }, "4": { "major": [], "minor": { "lootBonus": 15, "manaRegen": 8, "rawHealth": 425, "rawAgility": 1, "rawDefence": 1, "rawStrength": 1, "rawDexterity": 1, "raw2ndSpellCost": -5, "rawIntelligence": 1, "combatExperience": 15 } }, "5": { "major": [], "minor": { "lootBonus": 35, "manaRegen": 12, "rawHealth": 1325, "rawAgility": 1, "rawDefence": 1, "rawStrength": 1, "rawDexterity": 1, "raw2ndSpellCost": -5, "raw4thSpellCost": -5, "rawIntelligence": 1, "combatExperience": 35 } }, "6": { "major": [], "minor": { "lootBonus": 55, "manaRegen": 14, "rawHealth": 2275, "rawAgility": 3, "rawDefence": 3, "rawStrength": 3, "rawDexterity": 3, "raw2ndSpellCost": -5, "raw4thSpellCost": -5, "rawIntelligence": 3, "combatExperience": 55 } }, "7": { "major": [], "minor": { "lootBonus": 80, "manaRegen": 18, "rawHealth": 3850, "rawAgility": 3, "rawDefence": 3, "rawStrength": 3, "rawDexterity": 3, "raw1stSpellCost": -5, "raw2ndSpellCost": -5, "raw4thSpellCost": -5, "rawIntelligence": 3, "combatExperience": 80 } }, "8": { "major": [], "minor": { "lootBonus": 100, "manaRegen": 24, "rawHealth": 6110, "rawAgility": 21, "rawDefence": 21, "rawStrength": 21, "rawDexterity": 21, "raw1stSpellCost": -5, "raw2ndSpellCost": -5, "raw3rdSpellCost": -5, "raw4thSpellCost": -5, "rawIntelligence": 21, "combatExperience": 100 } } }, "parts": [ "Morph-Gold", "Morph-Steel", "Morph-Stardust", "Morph-Iron", "Morph-Amethyst", "Morph-Ruby", "Morph-Topaz", "Morph-Emerald" ] } } ``` **SDK Code** ```python Item set response with the Morph set import requests url = "https://api.wynncraft.com/v3/item/sets" response = requests.get(url) print(response.json()) ``` ```javascript Item set response with the Morph set const url = 'https://api.wynncraft.com/v3/item/sets'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Item set response with the Morph set package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.wynncraft.com/v3/item/sets" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Item set response with the Morph set require 'uri' require 'net/http' url = URI("https://api.wynncraft.com/v3/item/sets") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Item set response with the Morph set import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.wynncraft.com/v3/item/sets") .asString(); ``` ```php Item set response with the Morph set request('GET', 'https://api.wynncraft.com/v3/item/sets'); echo $response->getBody(); ``` ```csharp Item set response with the Morph set using RestSharp; var client = new RestClient("https://api.wynncraft.com/v3/item/sets"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Item set response with the Morph set import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.wynncraft.com/v3/item/sets")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```